Bug 1344271 (CVE-2015-8897) - CVE-2015-8897 ImageMagick: Crash due to out of bounds error in SpliceImage
Summary: CVE-2015-8897 ImageMagick: Crash due to out of bounds error in SpliceImage
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8897
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1341777 1341778 1341779 1341780 1344273
Blocks: 1333419
TreeView+ depends on / blocked
 
Reported: 2016-06-09 09:55 UTC by Stefan Cornelius
Modified: 2019-11-14 08:20 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:54:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1237 normal SHIPPED_LIVE Important: ImageMagick security update 2016-07-18 17:06:55 UTC

Description Stefan Cornelius 2016-06-09 09:55:22 UTC
An error was discovered in the ImageMagick -split functionality. Processing
a specially crafted image using this functionality could lead to an application crash.

External references:

http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28466
http://seclists.org/oss-sec/2016/q2/459

Patch:

http://git.imagemagick.org/repos/ImageMagick/commit/e00cf211070e7f150a3da77932b8620c89bb9225

Comment 1 Stefan Cornelius 2016-06-09 09:56:07 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1344273]

Comment 3 errata-xmlrpc 2016-06-16 22:49:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:1237 https://access.redhat.com/errata/RHSA-2016:1237


Note You need to log in before you can comment on or make changes to this bug.